## org.eclipse.datatools.connectivity
Class ProfileRule

    java.lang.Object
      org.eclipse.datatools.connectivity.ProfileRule

public class ProfileRule
extends java.lang.Object

Can be used to synchronize a `Job` with other `Job`s affecting a specific profile.

Author:
  rcernich Created on May 24, 2005

Constructor Summary
`ProfileRule(IConnectionProfile profile)`

Method Summary
`boolean` `contains(ISchedulingRule rule)`
`boolean` `isConflicting(ISchedulingRule rule)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileRule

    public ProfileRule(IConnectionProfile profile)

Parameters:
  `profile` - the profile to synchronize against

Method Detail

### isConflicting

    public boolean isConflicting(ISchedulingRule rule)

### contains

    public boolean contains(ISchedulingRule rule)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.